# ARST打卡第124周[124/521]

<!--more-->

## Algorithm
lc650_只有两个键的键盘
动态规划，按照所有的因数来递归分解, 还可以分解质因数

详细题解见下面的链接
链接：https://leetcode-cn.com/problems/2-keys-keyboard/solution/zhi-you-liang-ge-jian-de-jian-pan-by-lee-ussa/

```cpp
// 动态规划，按照所有的因数来递归分解
class Solution {
public:
    int minSteps(int n) {
        vector<int> f(n + 1);
        for (int i = 2; i <= n; ++i) {
            f[i] = INT_MAX;
            for (int j = 1; j * j <= i; ++j) {
                if (i % j == 0) {
                    f[i] = min(f[i], f[j] + i / j);
                    f[i] = min(f[i], f[i / j] + j);
                }
            }
        }
        return f[n];
    }
};
```

```cpp
// 还可以分解质因数
class Solution {
public:
    int minSteps(int n) {
        int ans = 0;
        for (int i = 2; i * i <= n; ++i) {
            while (n % i == 0) {
                n /= i;
                ans += i;
            }
        }
        if (n > 1) {
            ans += n;
        }
        return ans;
    }
};
```

## Review
【TED演讲】人性、名誉和爱情的思考

<div align = "center">
    <iframe  width="100%" height="700" src="//player.bilibili.com/player.html?aid=505310262&bvid=BV1hg411V7aT&cid=403058019&page=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>

学会爱他人，爱万物，爱和怜悯

## Tips
[让事件飞 ——Linux eventfd 原理与实践](https://zhuanlan.zhihu.com/p/40572954)

## Share
[批量生成指定大小的文件](https://blog.csdn.net/neve_give_up_dan/article/details/120380523)

